Bug 227096 - [resultsdbpy] Adopt autoinstaller
Summary: [resultsdbpy] Adopt autoinstaller
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-16 15:04 PDT by Jonathan Bedard
Modified: 2021-06-21 08:51 PDT (History)
4 users (show)

See Also:


Attachments
Patch (30.77 KB, patch)
2021-06-16 15:10 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (30.52 KB, patch)
2021-06-17 08:32 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (30.57 KB, patch)
2021-06-17 08:53 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (31.13 KB, patch)
2021-06-17 14:21 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (2.62 KB, patch)
2021-06-17 17:00 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (2.62 KB, patch)
2021-06-21 08:17 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-06-16 15:04:14 PDT
We don't want to use the autoinstaller in production, but it's extremely useful for local testing since the libraries required by resultsdbpy include relatively specific versions.
Comment 1 Radar WebKit Bug Importer 2021-06-16 15:04:44 PDT
<rdar://problem/79418080>
Comment 2 Jonathan Bedard 2021-06-16 15:10:45 PDT
Created attachment 431610 [details]
Patch
Comment 3 Jonathan Bedard 2021-06-17 08:32:05 PDT
Created attachment 431668 [details]
Patch
Comment 4 Jonathan Bedard 2021-06-17 08:53:33 PDT
Created attachment 431673 [details]
Patch
Comment 5 Aakash Jain 2021-06-17 13:30:03 PDT
Comment on attachment 431673 [details]
Patch

rs=me
Comment 6 Jonathan Bedard 2021-06-17 14:21:50 PDT
Created attachment 431721 [details]
Patch for landing
Comment 7 EWS 2021-06-17 15:03:10 PDT
Committed r279012 (238937@main): <https://commits.webkit.org/238937@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431721 [details].
Comment 8 Jonathan Bedard 2021-06-17 17:00:25 PDT
Reopening to attach new patch.
Comment 9 Jonathan Bedard 2021-06-17 17:00:27 PDT
Created attachment 431743 [details]
Patch
Comment 10 Aakash Jain 2021-06-17 17:10:41 PDT
Comment on attachment 431743 [details]
Patch

rs=me
Comment 11 Jonathan Bedard 2021-06-21 08:17:32 PDT
Created attachment 431861 [details]
Patch for landing
Comment 12 EWS 2021-06-21 08:51:13 PDT
Committed r279067 (238987@main): <https://commits.webkit.org/238987@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431861 [details].